Skip to main content
`Ctrl`+`K`

# MatPartitioningPartySetMatchOptimization

Activate matching optimization for graph reduction.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningPartySetMatchOptimization(MatPartitioning part, PetscBool opt)

Collective

## Input Parameters

- part - the partitioning context

- opt - boolean flag

## Options Database Key

- -mat_partitioning_party_match_optimization - Matching optimization on/off

## See Also

`MATPARTITIONINGPARTY`

## Level

advanced

## Location

src/mat/graphops/partition/impls/party/party.c

## Implementations

MatPartitioningPartySetMatchOptimization_Party() in src/mat/graphops/partition/impls/party/party.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages